|  | Reflex::Rule Struct Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Reflex::Rule Struct Reference

A regex pattern and action pair that forms a rule. More...

`#include <reflex.h>`

Collaboration diagram for Reflex::Rule:
[legend]

## Public Member Functions
| Rule (const std::string &pattern, const std::string &regex, const Code &code)

## Public Attributes
std::string | pattern
| the pattern More...
std::string | regex
| the pattern-converted regex for the selected regex engine More...
Code | code
| the action code corresponding to the pattern More...

## Detailed Description

A regex pattern and action pair that forms a rule.

## Constructor & Destructor Documentation

Reflex::Rule::Rule | ( | const std::string & | pattern,
|  | const std::string & | regex,
|  | const Code & | code
| ) |  |
| inline

## Member Data Documentation

Code Reflex::Rule::code

the action code corresponding to the pattern

std::string Reflex::Rule::pattern

the pattern

std::string Reflex::Rule::regex

the pattern-converted regex for the selected regex engine

The documentation for this struct was generated from the following file:

- reflex.h